Bug 787103 - (CVE-2012-0880) CVE-2012-0880 xml: xerces-c hash table collisions CPU usage DoS (oCERT-2011-003)
CVE-2012-0880 xml: xerces-c hash table collisions CPU usage DoS (oCERT-2011-003)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140708,repor...
: Security
Depends On:
Blocks: hashdos/oCERT-2011-003 782164
  Show dependency treegraph
 
Reported: 2012-02-03 01:54 EST by Kurt Seifried
Modified: 2015-07-31 11:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 23:44:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-02-03 01:54:52 EST
Juraj Somorovsky reported that certain XML parsers/servers are affected by the
same, or similar, flaw as the hash table collisions CPU usage denial of
service.  Sending a specially crafted message to an XML service can result in
longer processing time, which could lead to a denial of service.  It is
reported that this attack on XML can be applied on different XML nodes (such as
entities, element attributes, namespaces, various elements in the XML security,
etc.).

xerces-c is written in C++ and makes significant use of arrays.
Comment 2 Kurt Seifried 2015-01-16 23:44:48 EST
Statement:

This issue affects the versions of xerces as shipped with Red Hat Enterprise Linux 6. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.